@charset "UTF-8";

/*产品列表中，每一个产品链接*/
.products .pro-item {
    position: relative;
    flex: 0 0 23.8%;
    background: #fff;
    margin-right: 1.6%;
    margin-bottom: 20px;
    transition-duration: .5s;
}
/*产品列表中，图片容器*/
.products .img-wrap {
    overflow: hidden;
}

/*产品中文名和英文名所在区*/
.products .pro-item .txts-wrap {
    width: 100%;
    top: 0;
    left: 0;
    position: absolute;
    padding: 22px 30px 0;
    font-size: 14px;
    line-height: 20px;
}
/*产品英文名*/
.products .pro-en {
    font-size: 18px;
    color: #ffffff;
    height: 20px;
    transition-duration: .5s;
    margin-bottom: 10px;
}
/*产品中文名*/
.products .pro-cn {
    color: #ffffff;
    height: 20px;
    font-size: 14px;
}





/*卡片网格*/
.products_list .features-grid {
    display: grid;
    /*统一间距（包括横向和纵向），无需手动设置 margin*/
    gap: 2rem;
}

/*产品列表中，加一个内边框*/
.products_list .img-wrap:before {
    position: absolute;
    content: "";
    display: block;
    width: calc(100% - 40px);
    height: calc(100% - 40px);
    box-sizing: border-box;
    border: 1px solid rgba(255, 255, 255, 0.2);
    top: 20px;
    left: 20px;
    z-index: 1;
    pointer-events: none;
}

.products_list .img-wrap img {
    /* 默认状态：设置过渡动画 */
    transition: transform 0.3s ease;
    overflow: hidden;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
/*产品列表中，让图片在激活状态时有放大动画*/
.products_list .img-wrap img:hover {
    transform: scale(1.25) !important;
}

/*分页*/
.pagination {
    display: flex;
    justify-content: center; /* 主轴水平居中 */
    align-items: center;     /* 交叉轴垂直居中 */
}

.pagination li {
    font-size: 12px;
    float: left;
    margin-left: 10px;
    list-style: none;
    vertical-align: top;
    display: inline-block;
    line-height: 28px;
    cursor: pointer;
    box-sizing: border-box;
    text-align: center;
}

.pagination li a {
    background-color: #b4b4b4;
    color: #FFFFFF;
    padding: 10px 15px;
}
.pagination li.active {
    background-color: #e3003a;;
    color: #FFFFFF;
}

.pagination li.active a {
    background-color: #e3003a;;
    color: #FFFFFF;
}